.. module:: cupyx.scipy.spatial

Spatial algorithms and data structures  (:mod:`cupyx.scipy.spatial`)
====================================================================

.. Hint:: `SciPy API Reference: Spatial (scipy.spatial) <https://docs.scipy.org/doc/scipy/reference/spatial.html>`_

.. note::

   The ``spatial`` module uses ``pylibraft`` as a backend.
   You need to install `pylibraft package <https://anaconda.org/rapidsai/pylibraft>` from ``rapidsai`` Conda channel to use features listed on this page.

.. note::
   Currently, the ``spatial`` module is not supported on AMD ROCm platforms.

Functions
---------

.. autosummary::
   :toctree: generated/

    distance_matrix
